
/* 
 * Copyright (c) 1993-2005 LAAS/CNRS
 * All rights reserved.
 *
 * Redistribution and use  in source  and binary  forms,  with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *   1. Redistributions of  source  code must retain the  above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice,  this list of  conditions and the following disclaimer in
 *      the  documentation  and/or  other   materials provided  with  the
 *      distribution.
 *
 * THIS  SOFTWARE IS PROVIDED BY  THE  COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND  ANY  EXPRESS OR IMPLIED  WARRANTIES,  INCLUDING,  BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES  OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR  PURPOSE ARE DISCLAIMED. IN  NO EVENT SHALL THE COPYRIGHT
 * HOLDERS OR      CONTRIBUTORS  BE LIABLE FOR   ANY    DIRECT, INDIRECT,
 * INCIDENTAL,  SPECIAL,  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF  SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE   OF THIS SOFTWARE, EVEN   IF ADVISED OF   THE POSSIBILITY OF SUCH
 * DAMAGE.
 */

/*------------------  Fichier gnr automatiquement ------------------*/
/*------------------  Ne pas diter manuellement !!! ------------------*/


#ifndef imu_ERROR_H
#define imu_ERROR_H

#include "h2errorLib.h"
#include "genom/genomError.h"

#define M_imu    (5190)

/* -- MODULES ERRORS -------------------------------------------------- */

/* demo errors */
#define S_imu_LIB_ERROR            H2_ENCODE_ERR(M_imu       , 1)
#define S_imu_NOT_FOUND            H2_ENCODE_ERR(M_imu       , 2)
#define S_imu_COMP_FAILED          H2_ENCODE_ERR(M_imu       , 3)
#define S_imu_BAD_PARAMS           H2_ENCODE_ERR(M_imu       , 4)
#define S_imu_CANNOT_READ_SERIAL   H2_ENCODE_ERR(M_imu       , 5)
#define S_imu_ENOTINIT             H2_ENCODE_ERR(M_imu       , 6)
#define S_imu_EINUSE               H2_ENCODE_ERR(M_imu       , 7)
#define S_imu_EINVAL               H2_ENCODE_ERR(M_imu       , 8)
#define S_imu_ENOENT               H2_ENCODE_ERR(M_imu       , 9)
#define S_imu_ENOMEM               H2_ENCODE_ERR(M_imu       , 10)


/* std errors */
#define S_imu_stdGenoM_ACTIVITY_INTERRUPTED       340190209   /* 5190<<16 | 0x8000 | 100<<8 | 1 */
#define S_imu_stdGenoM_TOO_MANY_ACTIVITIES        340190210   /* 5190<<16 | 0x8000 | 100<<8 | 2 */
#define S_imu_stdGenoM_ACTIVITY_FAILED            340190211   /* 5190<<16 | 0x8000 | 100<<8 | 3 */
#define S_imu_stdGenoM_WAIT_ABORT_ZOMBIE_ACTIVITY 340190212   /* 5190<<16 | 0x8000 | 100<<8 | 4 */
#define S_imu_stdGenoM_UNKNOWN_ACTIVITY           340190213   /* 5190<<16 | 0x8000 | 100<<8 | 5 */
#define S_imu_stdGenoM_FORBIDDEN_ACTIVITY_TRANSITION 340190214   /* 5190<<16 | 0x8000 | 100<<8 | 6 */
#define S_imu_stdGenoM_SYSTEM_ERROR               340190215   /* 5190<<16 | 0x8000 | 100<<8 | 7 */
#define S_imu_stdGenoM_ACTIVITY_ALREADY_ENDED     340190216   /* 5190<<16 | 0x8000 | 100<<8 | 8 */
#define S_imu_stdGenoM_WAIT_INIT_RQST             340190217   /* 5190<<16 | 0x8000 | 100<<8 | 9 */
#define S_imu_stdGenoM_CONTROL_CODEL_ERROR        340190218   /* 5190<<16 | 0x8000 | 100<<8 | 10 */
#define S_imu_stdGenoM_EXEC_TASK_SUSPENDED        340190219   /* 5190<<16 | 0x8000 | 100<<8 | 11 */
#define S_imu_stdGenoM_BAD_BLOCK_TYPE             340190220   /* 5190<<16 | 0x8000 | 100<<8 | 12 */
#define S_imu_stdGenoM_BAD_POSTER_TYPE            340190221   /* 5190<<16 | 0x8000 | 100<<8 | 13 */



/* static H2_ERROR[] */
#define IMU_H2_ERR_MSGS {\
    {"LIB_ERROR", 1},\
    {"NOT_FOUND", 2},\
    {"COMP_FAILED", 3},\
    {"BAD_PARAMS", 4},\
    {"CANNOT_READ_SERIAL", 5},\
    {"ENOTINIT", 6},\
    {"EINUSE", 7},\
    {"EINVAL", 8},\
    {"ENOENT", 9},\
    {"ENOMEM", 10},\
}

#ifdef __cplusplus
extern "C" {
#endif

extern int imuRecordH2errMsgs(void);

#ifdef __cplusplus
}
#endif


/*-------------------------- end file loading ---------------------------*/
#endif
