
/* 
 * Copyright (c) 1993-2003 LAAS/CNRS
 * All rights reserved.
 *
 * Redistribution and use  in source  and binary  forms,  with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *   1. Redistributions of  source  code must retain the  above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice,  this list of  conditions and the following disclaimer in
 *      the  documentation  and/or  other   materials provided  with  the
 *      distribution.
 *
 * THIS  SOFTWARE IS PROVIDED BY  THE  COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND  ANY  EXPRESS OR IMPLIED  WARRANTIES,  INCLUDING,  BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES  OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR  PURPOSE ARE DISCLAIMED. IN  NO EVENT SHALL THE COPYRIGHT
 * HOLDERS OR      CONTRIBUTORS  BE LIABLE FOR   ANY    DIRECT, INDIRECT,
 * INCIDENTAL,  SPECIAL,  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF  SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE   OF THIS SOFTWARE, EVEN   IF ADVISED OF   THE POSSIBILITY OF SUCH
 * DAMAGE.
 */

/*------------------  Fichier gnr automatiquement ------------------*/
/*------------------  Ne pas diter manuellement !!! ------------------*/

/* 
 * imuType.h:     La SDI_F de imu
 *
 * Utilise par le module et par les clients
 * (inclut dans imuMsgLib.h et imuPosterLib.h)
 * 
 */

#ifndef imu_TYPE_H
#define imu_TYPE_H

#include "genom/modules.h"
#include "imuError.h"

/* Nombre de tache d'execution de ce module */
#define IMU_NB_EXEC_TASK                   (2)


#endif
#ifndef imu_TYPE1_H
#define imu_TYPE1_H

#include "/opt/openrobots/include/pom/pomStruct.h"
#include "/opt/openrobots/include/gyro/gyroStruct.h"
#include "/opt/openrobots/include/genBasic/genBasicStruct.h"
#include "imuStruct.h"

/*
 * Structure de donnees interne
 */
typedef struct ImuIDS {
	ImuDevice device;
	double zero;
	ImuPoster sensors;
	IMU_INTEGRATEDDATA_INITVALUES initValues;
	IMU_DUMPONFILE_PARAMS dumpOnFileParams;
	IMU_VARIANCES imuVariances;
	IMU_FILTER_PARAMS imuDataFilterParams;
	IMU_GETSENSORSDATA_PARAMS getSensorsDataParams;
	IMU_SETSENSORSDATA_PARAMS setSensorsDataParams;
	IMU_SETACCELBIASES_PARAMS setAccelBiasesParams;
	IMU_COMPUTEACCELBIASES_PARAMS computeAccelBiasesParams;
	IMU_COMPUTEANGSPEEDSBIASES_PARAMS computeAngSpeedsBiasesParams;
	IMU_BACKSTEPPING_PARAMS backStepParams;
	IMU_ATTITUDE_ESTIMATION attitudeEstimation;
	GEN_STRING64 headingPosterName;
	POM_SENSOR_POS exportPomSE;
	IMU_MONITOR_DATA monitorData;
	IMU_MONITOR_PARAMS monitorParams;
} ImuIDS;


#endif

